跳转到内容

FFmpeg API Waveform

集成

模型 id ffmpeg-api/waveform
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/waveform?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "media_url": "https://example.com/your-file.bin"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: ≈$0.001 1 API 积分 在此页面运行

获取 API 密钥
Utility · 数据(JSON)

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

指向要分析的音频文件的 URL。

高级 points_per_second · precision · smoothing_window
默认 4

波形采样率,表示每秒音频的采样点数;值为 1–2 时细节较粗,值为 4–10 时细节更精细。

默认 2

波形值的小数位数;数值越大,载荷越大,但数值精度越高。

默认 3

平滑窗口大小,必须为奇数。窗口越大,波形越平滑。

POST /run/ffmpeg-api/waveform?wait=20 报价 → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/waveform?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "media_url": "https://example.com/your-file.bin"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 FFmpeg API Waveform

分析 `media_url` 中的音频,并返回时长、点数、精度以及由 -1 到 1 之间数值组成的 `waveform` 数组。`points_per_second` 范围为 1 到 10,`precision` 设置 1 到 6 位小数,`smoothing_window` 范围为 1 到 21,用于平滑曲线且必须为奇数。

参数

名称类型 默认值允许值 描述
media_url必填
类型string
指向要分析的音频文件的 URL。
points_per_second可选
类型number
默认值4
1 – 10
波形采样率,表示每秒音频的采样点数;值为 1–2 时细节较粗,值为 4–10 时细节更精细。
precision可选
类型integer
默认值2
1 – 6
波形值的小数位数;数值越大,载荷越大,但数值精度越高。
smoothing_window可选
类型integer
默认值3
1 – 21
平滑窗口大小,必须为奇数。窗口越大,波形越平滑。
必填

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ffmpeg-api/waveform",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "media_url": "https://example.com/your-file.bin"
  },
  "output": {
    "waveform": [
      1.0
    ],
    "duration": 5,
    "points": 1,
    "precision": 1
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
waveform
array of number规范化波形数组,包含 音频 duration × points_per_second 个点,每个点的范围为 -1 到 1。
duration
number音频时长,单位为秒。
points
integer波形数据点总数。
precision
integer波形值使用的小数精度。

更多模型:其他

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/ffmpeg-api/waveform.md. 所有模型和指南: https://doitong.com/developers/llms.txt